Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.client.xacml
Class NodeTransferable

    java.lang.Object
      org.exist.client.xacml.NodeTransferable

All Implemented Interfaces:
  java.awt.datatransfer.Transferable

public class NodeTransferable
extends java.lang.Object
implements java.awt.datatransfer.Transferable

Field Summary
`static java.awt.datatransfer.DataFlavor` | `ABSTRACT_NODE_FLAVOR`
`static java.awt.datatransfer.DataFlavor` | `ABSTRACT_POLICY_FLAVOR`
`static java.awt.datatransfer.DataFlavor` | `APPLICATION_XML_FLAVOR`
`static java.awt.datatransfer.DataFlavor` | `CONDITION_FLAVOR`
`static java.awt.datatransfer.DataFlavor` | `NODE_FLAVOR`
`static java.awt.datatransfer.DataFlavor` | `POLICY_ELEMENT_FLAVOR`
`static java.awt.datatransfer.DataFlavor` | `POLICY_FLAVOR`
`static java.awt.datatransfer.DataFlavor` | `POLICY_SET_FLAVOR`
`static java.awt.datatransfer.DataFlavor` | `ROOT_FLAVOR`
`static java.awt.datatransfer.DataFlavor` | `RULE_FLAVOR`
`static java.awt.datatransfer.DataFlavor` | `TARGET_FLAVOR`
`static java.awt.datatransfer.DataFlavor` | `TEXT_XML_FLAVOR`

Constructor Summary
`NodeTransferable(XACMLTreeNode node)`

Method Summary
`java.lang.Object` | `getTransferData(java.awt.datatransfer.DataFlavor flavor)`
`java.awt.datatransfer.DataFlavor[]` | `getTransferDataFlavors()`
`boolean` | `isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONDITION_FLAVOR

    public static final java.awt.datatransfer.DataFlavor CONDITION_FLAVOR

### TARGET_FLAVOR

    public static final java.awt.datatransfer.DataFlavor TARGET_FLAVOR

### RULE_FLAVOR

    public static final java.awt.datatransfer.DataFlavor RULE_FLAVOR

### POLICY_FLAVOR

    public static final java.awt.datatransfer.DataFlavor POLICY_FLAVOR

### POLICY_SET_FLAVOR

    public static final java.awt.datatransfer.DataFlavor POLICY_SET_FLAVOR

### ABSTRACT_POLICY_FLAVOR

    public static final java.awt.datatransfer.DataFlavor ABSTRACT_POLICY_FLAVOR

### POLICY_ELEMENT_FLAVOR

    public static final java.awt.datatransfer.DataFlavor POLICY_ELEMENT_FLAVOR

### ROOT_FLAVOR

    public static final java.awt.datatransfer.DataFlavor ROOT_FLAVOR

### ABSTRACT_NODE_FLAVOR

    public static final java.awt.datatransfer.DataFlavor ABSTRACT_NODE_FLAVOR

### NODE_FLAVOR

    public static final java.awt.datatransfer.DataFlavor NODE_FLAVOR

### TEXT_XML_FLAVOR

    public static final java.awt.datatransfer.DataFlavor TEXT_XML_FLAVOR

### APPLICATION_XML_FLAVOR

    public static final java.awt.datatransfer.DataFlavor APPLICATION_XML_FLAVOR

Constructor Detail

### NodeTransferable

    public NodeTransferable(XACMLTreeNode node)

Method Detail

### getTransferDataFlavors

    public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

  Specified by:
    `getTransferDataFlavors` in interface `java.awt.datatransfer.Transferable`

### isDataFlavorSupported

    public boolean isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)

  Specified by:
    `isDataFlavorSupported` in interface `java.awt.datatransfer.Transferable`

### getTransferData

    public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor flavor)
                                     throws java.awt.datatransfer.UnsupportedFlavorException,
                                            java.io.IOException

  Specified by:
    `getTransferData` in interface `java.awt.datatransfer.Transferable`
  Throws:
    `java.awt.datatransfer.UnsupportedFlavorException`
    `java.io.IOException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.